#!/bin/bash

tmpfile=/tmp/$$.pid

die() {
    echo $@
    exit 1
}

cleanup() {
    rm -f ${tmpfile}
    exit
}

# create temp file
trap cleanup INT TERM EXIT
cat > /tmp/$$.tmp 

# do lossless rename
dirname=`pwd | sed 's_.*/__'`
lossless_dirname="${dirname} [LL]"
pushd "../${lossless_dirname}" > /dev/null \
|| die "couldn't change dir to ${lossless_dirname}"
bulk_rename.pl -f < /tmp/$$.tmp || die "bulk_rename -f failed"

# do lossy rename
popd > /dev/null || die "failed popd"
bulk_rename.pl < /tmp/$$.tmp || die "bulk_rename failed"
